Page MenuHomePhabricator

Make OAuth session persistent in CopyPatrol
Closed, ResolvedPublic8 Story Points

Description

After someone authenticates with OAuth in CopyPatrol, we should store their information in the browser and keep the session persistent so that they don't have to re-authenticate every time. Keep the session persistent for 90 days.

We'll need to store the final token generated by the OAuth exchange (either in a database or Redis).

Event Timeline

kaldari created this task.May 24 2016, 5:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 24 2016, 5:43 PM
kaldari triaged this task as Normal priority.May 24 2016, 5:44 PM
kaldari moved this task from Untriaged to Estimated on the Community-Tech board.
DannyH renamed this task from Make OAuth session persistant in CopyPatrol to Make OAuth session persistent in CopyPatrol.May 24 2016, 5:44 PM
kaldari updated the task description. (Show Details)May 24 2016, 5:46 PM
kaldari set the point value for this task to 8.

May want to look at Crosswatch and see how they are doing things.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 24 2016, 5:50 PM
DannyH moved this task from Estimated to Bug backlog on the Community-Tech board.Jul 11 2016, 5:30 PM

Try logging into https://tools.wmflabs.org/copypatrol (if you're already logged in, log out and in again).

I think this solution is quite nice and we can close this ticket for now.

Thanks to @bd808 :)

That's some nice voodoo. Is there any code for that or did Bryan just sacrifice a goat to the OAuth gods?

bd808 added a comment.EditedJul 14 2016, 4:56 PM

That's some nice voodoo. Is there any code for that or did Bryan just sacrifice a goat to the OAuth gods?

I revealed dark secrets of the codebase to @Niharika and she used them and documented them.

 ________
/         \
|          \
|           \
|            \
\        __\/_\
 \       \_/\_/\___
  \/  / |  \ | \   \
 _/ _/ _|  | \  \  |_
/  |  / /  / /  |  \ \_
| /  /  | |  \   \  \  \

Ok to close this?

DannyH closed this task as Resolved.Jul 21 2016, 11:49 PM
DannyH claimed this task.
DannyH added a subscriber: DannyH.

Yes, works. Thanks!

DannyH moved this task from Bug backlog to Archive on the Community-Tech board.Aug 1 2016, 11:04 PM
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:24 AM